[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.InsertObject

Insert a string and associated object in the list.

## Declaration

Source position: classesh.inc line 671

`public procedure TStrings.InsertObject(`
`Index: Integer;`
`const S: string;`
`AObject: TObject`
`);`

## Description

InsertObject inserts the string S and its associated objectAObject at position Index in the list. Index is a zero-based position, and can have values from 0 to Count. If Index equals Count then the string is appended to the list.

## Errors

If Index is less than zero or larger than Count then an EStringListError exception is raised.

## See also

TStrings.Insert |  | Insert a string in the list.
TStrings.AddObject |  | Add a string and associated object to the list.
TStrings.Append |  | Add a string to the list.
TStrings.Delete |  | Delete a string from the list.

Documentation generated on: Feb 26 2014